summaryrefslogtreecommitdiffstats
path: root/jjb/container4nfv
diff options
context:
space:
mode:
authorYibo Cai <yibo.cai@arm.com>2018-01-10 17:52:27 +0800
committerYibo Cai <yibo.cai@arm.com>2018-02-01 16:47:42 +0800
commitd3ba2c736c8f88a561c54e741088b72d60c61655 (patch)
treed252b86ae76be6e63134bb6a67b35e6911a91ef8 /jjb/container4nfv
parent28f546569dbad964b6b1525821b65e22db1b0e3d (diff)
container4nfv: add arm64 test scenarios
Change-Id: I2a91409fb3a650e9d9cacd3f6ffe4b17bc394950 Signed-off-by: Yibo Cai <yibo.cai@arm.com>
Diffstat (limited to 'jjb/container4nfv')
-rwxr-xr-xjjb/container4nfv/arm64/compass-build.sh14
-rwxr-xr-xjjb/container4nfv/arm64/compass-deploy.sh13
-rw-r--r--jjb/container4nfv/container4nfv-arm64.yml52
3 files changed, 79 insertions, 0 deletions
diff --git a/jjb/container4nfv/arm64/compass-build.sh b/jjb/container4nfv/arm64/compass-build.sh
new file mode 100755
index 000000000..696f7ff76
--- /dev/null
+++ b/jjb/container4nfv/arm64/compass-build.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+
+cd compass4nfv
+
+COMPASS_WORK_DIR=$WORKSPACE/../compass-work
+mkdir -p $COMPASS_WORK_DIR
+ln -s $COMPASS_WORK_DIR work
+
+#TODO: remove workaround after all arm64 patches merged
+curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash -s {scenario}
+
+# build tarball
+COMPASS_ISO_REPO='http://people.linaro.org/~yibo.cai/compass' ./build.sh
diff --git a/jjb/container4nfv/arm64/compass-deploy.sh b/jjb/container4nfv/arm64/compass-deploy.sh
new file mode 100755
index 000000000..3c599279e
--- /dev/null
+++ b/jjb/container4nfv/arm64/compass-deploy.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+
+cd compass4nfv
+
+export ADAPTER_OS_PATTERN='(?i)CentOS-7.*arm.*'
+export OS_VERSION="centos7"
+export KUBERNETES_VERSION="v1.7.3"
+export DHA="deploy/conf/vm_environment/k8-nosdn-nofeature-noha.yml"
+export NETWORK="deploy/conf/vm_environment/network.yml"
+export VIRT_NUMBER=2 VIRT_CPUS=2 VIRT_MEM=4096 VIRT_DISK=50G
+
+./deploy.sh
diff --git a/jjb/container4nfv/container4nfv-arm64.yml b/jjb/container4nfv/container4nfv-arm64.yml
new file mode 100644
index 000000000..16a10eac1
--- /dev/null
+++ b/jjb/container4nfv/container4nfv-arm64.yml
@@ -0,0 +1,52 @@
+---
+
+- project:
+ name: 'container4nfv-arm64'
+ project: 'container4nfv'
+ installer: 'compass'
+ scenario:
+ - 'k8-multus-nofeature-noha':
+ disabled: false
+ - 'k8-sriov-nofeature-noha':
+ disabled: false
+ jobs:
+ - 'container4nfv-{scenario}-virtual-daily-master'
+
+
+- job-template:
+ name: 'container4nfv-{scenario}-virtual-daily-master'
+ disabled: '{obj:disabled}'
+ concurrent: false
+ node: arm-packet01
+
+ scm:
+ - git:
+ url: https://gerrit.opnfv.org/gerrit/compass4nfv
+ branches:
+ - origin/master
+ basedir: compass4nfv
+ wipe-workspace: true
+
+ triggers:
+ - 'trigger-{scenario}-virtual'
+
+ wrappers:
+ - timeout:
+ timeout: 120
+ fail: true
+
+ builders:
+ - shell:
+ !include-raw: arm64/compass-build.sh
+ - shell:
+ !include-raw: arm64/compass-deploy.sh
+
+
+- trigger:
+ name: 'trigger-k8-multus-nofeature-noha-virtual'
+ triggers:
+ - timed: '0 12 * * *'
+- trigger:
+ name: 'trigger-k8-sriov-nofeature-noha-virtual'
+ triggers:
+ - timed: '0 16 * * *'